KMDR-EDITOR(1)

NAME
kmdr-editor - dialog editor for the Kommander dialog-to-text system

SYNOPSIS
kmdr-editor [ generic-options ]

DESCRIPTION
Kommander is a set of tools that allow you to create dynamic GUI dialogs that generate, based on their state, a piece of text. The piece of text can be a command line to a program, any piece of code, business documents that contain a lot of repititious or templated text and so on. The resulting generated text can then be executed as a command line program (hence the name "Kommander"), written to a file, passed to a script for extended processing, and literally anything else you can think of. The best part of it all? You aren't required to write a single line of code!

This editor allows you to lay out your entire dialog through a graphical user interface. Once a dialog has been created by the editor, it is saved as a file with extension kmdr. The dialog that this XML file represents can then be run instantly with the executor (kmdr-executor).

This application is part of the official KDE web development module.

OPTIONS
For a full summary of options, run kmdr-editor --help.

SEE ALSO
kmdr-executor(1), quanta(1).

AUTHOR
Kommander was written by Marc Britton <consume@optushome.com.au> and Eric Laffoon <sequitur@kde.org>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).